View Issue Details

IDProjectCategoryView StatusLast Update
0003260GNUnettransport servicepublic2014-04-08 16:42
ReporterMatthias WachsAssigned ToMatthias Wachs 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003260: New peer monitoring API
DescriptionTo obtain more information about the state of peer connections, a new monitoring API is required
TagsNo tags attached.

Activities

Matthias Wachs

2014-01-09 13:49

manager   ~0007978

Implemented with revision 31841

Two new functions to start and stop monitoring:

GNUNET_TRANSPORT_monitor_peers (...)
GNUNET_TRANSPORT_monitor_peers_cancel (...)

On every change to a peer, the GNUNET_TRANSPORT_PeerIterateCallback is called containing the current (full) state of the peer

Issue History

Date Modified Username Field Change
2014-01-09 13:42 Matthias Wachs New Issue
2014-01-09 13:42 Matthias Wachs Status new => assigned
2014-01-09 13:42 Matthias Wachs Assigned To => Matthias Wachs
2014-01-09 13:49 Matthias Wachs Note Added: 0007978
2014-01-09 13:49 Matthias Wachs Status assigned => resolved
2014-01-09 13:49 Matthias Wachs Resolution open => fixed
2014-01-10 13:30 Christian Grothoff Product Version => SVN HEAD
2014-01-10 13:30 Christian Grothoff Fixed in Version => 0.10.1
2014-01-10 13:30 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed